WinNT.SECURITY_QUALITY_OF_SERVICE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: SECURITY_QUALITY_OF_SERVICE

Package com.sun.jna.platform.win32

# Class WinNT.SECURITY_QUALITY_OF_SERVICE

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.SECURITY_QUALITY_OF_SERVICE

Enclosing interface:
  WinNT

@FieldOrder({"Length","ImpersonationLevel","ContextTrackingMode","EffectiveOnly"}) public static class WinNT.SECURITY_QUALITY_OF_SERVICE extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `byte`
  `ContextTrackingMode`
  Specifies whether the server is to be given a snapshot of the client's security context (called static tracking), or is to be continually updated to track changes to the client's security context (called dynamic tracking).
  `byte`
  `EffectiveOnly`
  Specifies whether the server may enable or disable privileges and groups that the client's security context may include.
  `int`
  `ImpersonationLevel`
  Specifies the information given to the server about the client, and how the server may represent, or impersonate, the client.
  `int`
  `Length`
  Specifies the size, in bytes, of this structure.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SECURITY_QUALITY_OF_SERVICE()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `write()`
  Writes the fields of the struct to native memory

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Length

    public int Length
    Specifies the size, in bytes, of this structure.

  - ### ImpersonationLevel

    public int ImpersonationLevel
    Specifies the information given to the server about the client, and how the server may represent, or impersonate, the client. Security impersonation levels govern the degree to which a server process can act on behalf of a client process. This member is a `WinNT.SECURITY_IMPERSONATION_LEVEL` enumeration type value.

  - ### ContextTrackingMode

    public byte ContextTrackingMode
    Specifies whether the server is to be given a snapshot of the client's security context (called static tracking), or is to be continually updated to track changes to the client's security context (called dynamic tracking). The `WinNT.SECURITY_STATIC_TRACKING` value specifies static tracking, and the `WinNT.SECURITY_DYNAMIC_TRACKING` value specifies dynamic tracking. Not all communications mechanisms support dynamic tracking; those that do not will default to static tracking.

  - ### EffectiveOnly

    public byte EffectiveOnly
    Specifies whether the server may enable or disable privileges and groups that the client's security context may include.

    This is a boolean value. See `WinNT.BOOLEAN_TRUE` and `WinNT.BOOLEAN_FALSE`.

- ## Constructor Details

  - ### SECURITY_QUALITY_OF_SERVICE

    public SECURITY_QUALITY_OF_SERVICE()

- ## Method Details

  - ### write

    public void write()
    Description copied from class: `Structure`
    Writes the fields of the struct to native memory
    Overrides:
      `write` in class `Structure`